Skip to content

Get feature adoption

GET
/api/v1/analytics/features
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/analytics/features?limit=20' \
--header 'X-API-Key: <X-API-Key>'

Get top features sorted by usage. Admin only.

date
Any of:
string

Date (YYYY-MM-DD), default today

limit
Limit

Max features to return

integer
default: 20 >= 1 <= 100

Max features to return

tenant_id
Any of:
string

Optional tenant filter

Successful Response

Media typeapplication/json
FeatureAdoptionResponse

Feature adoption data.

Attributes: features: List of feature-count dicts sorted by usage.

object
features
required
Features
Array<object>
object
key
additional properties
any
Examplegenerated
{
"features": [
{}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}